summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD38
2 files changed, 57 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7004993b15a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = help2man-git
+ pkgdesc = Tool for generating manual pages from program output
+ pkgver = 1.47.13.r0.gfbec3d0
+ pkgrel = 1
+ url = https://www.gnu.org/software/help2man/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = git
+ makedepends = gettext
+ makedepends = po4a
+ depends = perl-locale-gettext
+ provides = help2man
+ conflicts = help2man
+ source = git+https://salsa.debian.org/bod/help2man.git
+ sha256sums = SKIP
+
+pkgname = help2man-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d25ba58b0e3
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,38 @@
+# Maintainer: Chocobo1 <chocobo1 AT archlinux DOT net>
+
+pkgname=help2man-git
+pkgver=1.47.13.r0.gfbec3d0
+pkgrel=1
+pkgdesc="Tool for generating manual pages from program output"
+arch=('i686' 'x86_64')
+url="https://www.gnu.org/software/help2man/"
+license=('GPL')
+depends=('perl-locale-gettext')
+makedepends=('git' 'gettext' 'po4a')
+provides=('help2man')
+conflicts=('help2man')
+source=("git+https://salsa.debian.org/bod/help2man.git")
+sha256sums=('SKIP')
+
+
+pkgver() {
+ cd "help2man"
+
+ git describe --long --tags | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g'
+}
+
+build() {
+ cd "help2man"
+
+ automake -a || true
+ autoreconf -fi
+ ./configure \
+ --prefix="/usr"
+ make
+}
+
+package() {
+ cd "help2man"
+
+ make DESTDIR="$pkgdir" install
+}